Module java.base
Package java.lang.classfile.attributePREVIEW

# Interface LocalVariableTableAttribute

All Superinterfaces:
  `AttributePREVIEW<LocalVariableTableAttributePREVIEW>`, `ClassFileElementPREVIEW`, `WritableElementPREVIEW<LocalVariableTableAttributePREVIEW>`

public sealed interface LocalVariableTableAttribute extends AttributePREVIEW<LocalVariableTableAttributePREVIEW>
`LocalVariableTableAttribute` is a preview API of the Java platform.
Programs can only use `LocalVariableTableAttribute` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Models the `LocalVariableTable` attribute 4.7.13, which can appear on a `Code` attribute, and records debug information about local variables. Delivered as a `LocalVariable`PREVIEW when traversing the elements of a `CodeModel`PREVIEW, according to the setting of the `ClassFile.DebugElementsOption`PREVIEW option.

The attribute permits multiple instances in a given location.

Since:
  22

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<LocalVariableInfoPREVIEW>`
  `localVariables()`
  Returns debug information for the local variables in this method.
  `static LocalVariableTableAttributePREVIEW`
  `of(List<LocalVariableInfoPREVIEW> locals)`
  Returns a `LocalVariableTable` attribute.

  ### Methods declared in interface java.lang.classfile.AttributePREVIEW

  `attributeMapper, attributeName`

  ### Methods declared in interface java.lang.classfile.WritableElementPREVIEW

  `writeTo`

- ## Method Details

  - ### localVariables

    List<LocalVariableInfoPREVIEW> localVariables()
    Returns debug information for the local variables in this method.
    Returns:
      debug information for the local variables in this method

  - ### of

    static LocalVariableTableAttributePREVIEW of(List<LocalVariableInfoPREVIEW> locals)
    Returns a `LocalVariableTable` attribute.
    Parameters:
      `locals` - the local variable descriptions
    Returns:
      a `LocalVariableTable` attribute